Lookup Product
Retrieve product information for any product URL.
Returns the same Product model as GET /v1/products/. The product_id in the response can be used with the Product Detail endpoint. Products from merchants outside the Channel3 catalog resolve for display purposes, but are not available to other endpoints (e.g. /v1/similar, price tracking).
Authorizations
Headers
Optional user identifier to attribute clicks and sales to a user in your system. Channel3 appends it to buy URLs in the response.
Body
The URL of the product to look up
Maximum age (in hours) of cached product data before forcing a fresh lookup. Defaults to 3 hours.
x >= 1Fetch the product page live when the URL is not in the Channel3 catalog or its data is older than max_staleness_hours. When false, only catalog products are returned: stale data is returned as-is, and URLs not in the catalog return 404.
Response
Successful Response
Response from the /v1/lookup endpoint.
Product with detailed information.